
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle SQL*Loader详解（5） 典型例子 / iVAN</title>

    <meta name="description" content="Oracle SQL*Loader详解（5） 典型例子 本文介绍SQL*Loader在实际使用过程中经常用到的典型例子. 1. 表中的列比数据文件的列要少怎么办? 假设一个csv的文件如下: a1,a2,a3,a4 b1,b2,b3,b4 c1,c2,c3,c4 d1,d2,d3,d4 总共4列,先要求只要第2.3列数据,怎么办呢?这时候,FILLER(注意:不是FILTER)参数派上用 场了,控制文件如下所示: load data infile 'data.csv' &quot;str '\r\n'&quot; into table test.te ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle SQL*Loader详解（5） 典型例子</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文介绍SQL*Loader在实际使用过程中经常用到的典型例子。</p>
<p>1. 表中的列比数据文件的列要少怎么办？</p>
<p>假设一个csv的文件如下：</p>
<pre>
a1,a2,a3,a4
b1,b2,b3,b4
c1,c2,c3,c4
d1,d2,d3,d4</pre>
<p>总共4列，先要求只要第2、3列数据，怎么办呢？这时候，FILLER（注意：不是FILTER）参数派上用 场了，控制文件如下所示：</p>
<pre>
load data
infile 'data.csv' "str '\r\n'"
into table test.test
append
fields terminated by ','
(
  col1 filler,
  column01_name,
  column02_name
)</pre>
<p>从上面的控制文件我们注意到在第一列col1后面有filler标识，表示将不读取第1列的数据；细心的 读者可能发现了我们并没有给第4列加上filler标识，这是因为sqlldr默认跳过剩下的数据，当然如果 你写上col4 filler也是可以的。</p>
<p>2. 如何自动生成sequence？</p>
<p>sqlldr无法使用数据库里的sequence赋值，只能使用其自带的sequence语句，这点确实很不方便。</p>
<p>因此维护原本的sequence，需要以下步骤：</p>
<p>1）首先获得表上sequence的当前值：</p>
<pre>
SYS@TEST16&gt; select LAST_NUMBER from dba_sequences where sequence_name='SEQ_ORDER';  

LAST_NUMBER
-----------
    5410405</pre>
<p>2）在sqlldr的控制文件里，以上一步获得的值为sequence的开始值，如下所示：</p>
<p>id SEQUENCE(5410405,1)</p>
<p>3）数据加载完毕后，用select语句获得id的最大值</p>
<p>4）重建数据库的sequence，把初始值设为上一步获得的id最大值+1</p>
<p>3. 数据文件含有空值怎么办？</p>
<p>如果数据文件中的某些行含有空值，会导致这些行的数据无法导入，这时只要加上trailing nullcols即可，它表示如果读不到相应的值，就以NULL替代，如下所示：</p>
<pre>
load data
infile '663.csv' "str '\r\n'"
into table p95169.zxj_663
truncate
fields terminated by ','
trailing nullcols
(
hospdeptuuid,
departmentname,
sortcode01
)</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索文件<br />
                    ，                数据<br />
                    ，                c++读取csv文件并赋值<br />
                    ，                怎么办<br />
                    ，                最大值<br />
                    ，                控制<br />
                    ，                sqlldr<br />
                                    sequence<br />
                                    imageloader使用详解、asynctaskloader 详解、contextloader详解、imageloader详解、asynctaskloader 例子，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:41:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6/" title="控制">控制</a>, <a href="https://www.iamivan.net/tag/%e6%80%8e%e4%b9%88%e5%8a%9e/" title="怎么办">怎么办</a>, <a href="https://www.iamivan.net/tag/%e6%9c%80%e5%a4%a7%e5%80%bc/" title="最大值">最大值</a>, <a href="https://www.iamivan.net/tag/sequence/" title="sequence">sequence</a>, <a href="https://www.iamivan.net/tag/c-%e8%af%bb%e5%8f%96csv%e6%96%87%e4%bb%b6%e5%b9%b6%e8%b5%8b%e5%80%bc/" title="c&plus;&plus;读取csv文件并赋值">c&plus;&plus;读取csv文件并赋值</a>, <a href="https://www.iamivan.net/tag/sqlldr/" title="sqlldr">sqlldr</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle SQL*Loader详解（5） 典型例子的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB24PAb.html" rel="bookmark">Oracle SQL&ast;Loader详解（1） 总览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL*Loader原理 SQL*Loader是Oracle提供的用于数据加载的一种工具,它比较适合业务分析类型数据库(数据仓库 ),能处理多种格式的平面文件,批量数据装载比传统的数据插入效率更高.其示意图如下: 控制文件(Control File) (.ctl):用于控制数据导入的行为方式的文件(最重要的文件) 参数文件(可选)(Parameter File) (.par):可以把参数直接写在控制文件里,也可以单独写一个 参数文件 数据文件(Data Files) :放置源数据的平面文件(可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlj7Ob.html" rel="bookmark">Oracle SQL&ast;Loader详解（3） 控制文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制文件是SQL*Loader里最重要的文件,它是一个文本文件,用来定义数据文件的位置.数据的格 式.以及配置数据加载过程的行为,在sqlldr中以control参数指定控制文件. 在控制文件里配置命令行参数 (OPTIONS) 在上一篇中我们讲过命令行参数可以配置在三个地方,其中一个就是可以使用控制文件的OPTIONS字 句(这也是最常用的方式),如下所示: OPTIONS (DIRECT=true, SILENT=(ERRORS, FEEDBACK) ) 更多的命令行参数,请见上一篇. 配置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOv4Yb.html" rel="bookmark">Oracle SQL&ast;Loader详解（2） 命令行参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sqlldr工具 SQL*Loader的客户端工具是sqlldr,在操作系统的命令行下输入sqlldr,后面不接任何参数,将显 示帮助信息如下所示(所有命令行参数的简单描述及其默认值),所以你并不需要对下面的参数死记硬 背,当你忘记它们时,可以通过这个方式快速查询. Valid Keywords: userid -- ORACLE username/password control -- control file name log -- log file name bad -- bad file			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEL2yb.html" rel="bookmark">Oracle SQL&ast;Loader详解（4） 字段列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇中我们介绍了SQL*Loader中最重要的文件--控制文件,而本篇要介绍控制文 件中最重要的部分--字段列表,字段列表的作用是把数据文件中的记录和数据库中表的列 对应起来,下面是字段列表的一个例子,本篇我们将一一讲解它们的意思. . . . 1 (hiredate SYSDATE, 2 deptno POSITION(1:2) INTEGER EXTERNAL(2) NULLIF deptno=BLANKS, 3 job POSITION(7:14) CHAR TERMINATED BY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AAONz.html" rel="bookmark">&lbrack;顶&rsqb;ORACLE PL&sol;SQL编程详解之二：PL&sol;SQL块结构和组成元素&lpar;为山九仞，岂一日之功&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,岂一日之功)  [顶]ORACLE PL/SQL编程详解之二:   PL/SQL块结构和组成元素(为山九仞,岂一日之功)     继上四篇:ORACLE PL/SQL编程之八:把触发器说透                ORACLE PL/SQL编程之六:把过程与函数说透(穷追猛打,把根儿都拔起!)                [推荐]ORACLE PL/SQL编程之四:把游标说透(不怕做不到,只怕想不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxo2ymb.html" rel="bookmark">【强烈强烈推荐】《ORACLE PL&sol;SQL编程详解》全原创（共八篇）--系列文章导航</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[强烈强烈推荐]&lt;ORACLE PL/SQL编程详解&gt;全原创(共八篇)--系列文章导航 &lt;ORACLE PL/SQL编程详解&gt;    系列文章目录导航     --通过知识共享树立个人品牌.           本是成书的,但后来做其他事了,就无偿的贡献出来,被读者夸其目前为止最&quot;实在.经典&quot;的写ORACLE PL/SQL编程的文章-!   觉得对你有帮助,请留言与猛点推荐,谢谢.     [推荐]ORACLE PL/SQL编程详解之一:PL/SQL 程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94Y0db.html" rel="bookmark">&lbrack;强烈推荐&rsqb;ORACLE PL&sol;SQL编程详解之七：程序包的创建与应用&lpar;聪明在于学习，天才在于积累！&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[强烈推荐]ORACLE PL/SQL编程详解之七:程序包的创建与应用(聪明在于学习,天才在于积累!) [强烈推荐]ORACLE PL/SQL编程详解之七:   程序包的创建与应用(聪明在于学习,天才在于积累!) --通过知识共享树立个人品牌.     继上七篇:            [推荐]ORACLE PL/SQL编程详解之一:PL/SQL 程序设计简介(千里之行,始于足下)            [顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmmQmM.html" rel="bookmark">&lbrack;推荐&rsqb;ORACLE PL&sol;SQL编程详解之一：PL&sol;SQL 程序设计简介&lpar;千里之行，始于足下&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[推荐]ORACLE PL/SQL编程详解之一:PL/SQL 程序设计简介(千里之行,始于足下) [推荐]ORACLE PL/SQL编程详解之一: PL/SQL 程序设计简介(千里之行,始于足下) --通过知识共享树立个人品牌. 继上六篇:        [顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,岂一日之功)        [推荐]ORACLE PL/SQL编程详解之三:PL/SQL流程控制语句(不给规则,不成方圆)        [推荐]ORA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWk5AM.html" rel="bookmark">&lbrack;推荐&rsqb;ORACLE PL&sol;SQL编程详解之三：PL&sol;SQL流程控制语句&lpar;不给规则，不成方圆&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[推荐]ORACLE PL/SQL编程详解之三:PL/SQL流程控制语句(不给规则,不成方圆) [推荐]ORACLE PL/SQL编程详解之三: PL/SQL流程控制语句(不给规则,不成方圆) --通过知识共享树立个人品牌. 继上五篇:    [顶]ORACLE PL/SQL编程详解之二:PL/SQL块结构和组成元素(为山九仞,岂一日之功)    [推荐]ORACLE PL/SQL编程之四:把游标说透(不怕做不到,只怕想不到)        [推荐]ORACLE PL/SQL编程之五:异常			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4wnqp.html" rel="bookmark" class="title">Win8&period;1系统运行不了Office2016怎么办？</a>
					<div>
						  Win8.1系统运行不了Office2016怎么办?          方法一: 1.下载小编准备好的api-ms-win-crt-stdio-l1-1-0.dll. 2.解压后右键以管理员身份运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5oyDb.html" rel="bookmark" class="title">让文字自动适应Word表格大小</a>
					<div>
						在Word 2000中,当我们向表格中输入文字时,表格的列宽会自动增加以适应文字,但 如果我们不想让单元格的尺寸发生变化时,软件也可以自动调整文字间距以适应单元格.要启动这项功能,可进行 如下设置:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3V1Nz.html" rel="bookmark" class="title">适用Foxmail Server轻松搭建邮件服务器</a>
					<div>
						Foxmail Server(FMS)是一款功能强大的邮件服务器软件,他提供了多种邮件服务,包括SMTP.POP3.LDAP等,并内建邮件扩充协议的MIME,用户可以根据使用习惯以Outlook Ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnq02M.html" rel="bookmark" class="title">FSO系列之二&ast;&ast;FileSystemObject 常数</a>
					<div>
						filesystemobject|fso|常数 FileSystemObject 具有若干可以在程序代码中使用的有价值的常数.常数的好处在于:我们可以方便地使用某些值而无需记住其具体数值.如果常数的值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AQD7p.html" rel="bookmark" class="title">Photoshop将风景照片变幽灵城堡</a>
					<div>
						这个教程中讲述了如何使用Photoshop和Wacom Intuos2 A4 绘图板来制作数字绘景,如果没有绘图板,表现手绘效果可能会麻烦一些. 注意:在教程的每一步,除非特别提醒,你都应该要新建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKW15M.html" rel="bookmark" class="title">C&num;视频监控系列（12）：H264播放器&mdash;&mdash;播放录像文件</a>
					<div>
						前言 本章主要实现播放海康录像文件,更多播放器说明可以参考&lt;Hikvision H264播放器编程指南V4.8&gt;. 先来一张简单的效果图 以下几个VC++ 代码 片段: CPlayerDl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPwmKz.html" rel="bookmark" class="title">Google C&plus;&plus;编程风格指南（三）：C&plus;&plus;类</a>
					<div>
						关于类的注意事项,总结一下:1. 不在构造函数中做太多逻辑相关的初始化: 2. 编译器提供的默认构造函数不会对变量进行初始化,如果定义了其他构造函数,编译器不再提供,需要编码者自行提供默认构造函数:3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2kAjM.html" rel="bookmark" class="title">用Win7跳转列表 快速打开常用的文档</a>
					<div>
						接到同事发来的文档,你通常会将它们保存到哪里?统统放到桌面上,还是根据文档内容放到归类文件夹中?相信大多数人都会选择第一种.将文档保存到桌面确实很方便,但时间一长,桌面上的文件会越来越多,如果不勤于整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwD1kb.html" rel="bookmark" class="title">XP没有喇叭图标提示&OpenCurlyDoubleQuote;由于没有安装音量控制程序&rdquo;怎么办</a>
					<div>
						XP没有喇叭图标提示&quot;由于没有安装音量控制程序&quot;怎么办    具体如下: 1.最有可能的原因:系统丢失sndvol32.exe文件,文件路径C:WINDOWSsystem32,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8m6Zp.html" rel="bookmark" class="title">新浪微博微博即时聊天是否可以删除好友&quest;</a>
					<div>
						  微博即时聊天中的好友暂时是无法实现删除,给您带来的不便还请谅解! 但是您可以在微博主页 帐号-帐号设置-个性设置-聊天中设置是否开启聊天模式. 如果想要移除最近联系人,可通过删除与对方的私信内容的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRGDVp.html" rel="bookmark" class="title">为什么U盘被&OpenCurlyDoubleQuote;写保护&rdquo;了</a>
					<div>
						  U盘插入电脑老是出现&quot;U盘被写保护&quot;的错误,但U盘明明没有写保护的开关,这到底是什么原因呢? 一.修改注册表 1.打开注册表win+r(即开始-运行)键入regedit.exe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7YRxM.html" rel="bookmark" class="title">4G文档无法存储于U盘的原因及对策</a>
					<div>
						  容量大的U盘通常会被格式化为FAT32文件格式,这就会造成U盘分区的最大文件体积限制成了4G,超过4G就会出现错误,也便存储不了4G以上的文档了,所以就需要变更U盘文件格式为NTFS格式. 如何安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaOr3M.html" rel="bookmark" class="title">一位三年程序员的经验总结</a>
					<div>
						  不知不觉已经走入这行三年,虽没多大成就,但三年的努力和磨练也算是个成手了.在将要从三年迈向五年经验之际,不禁开始思考,怎样才能向软件开发高手迈进.三年的工作时间,说来不长,但回头想想却也像过了小半 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZvj4z.html" rel="bookmark" class="title">一个购物系统的数据库订单表该如何设计</a>
					<div>
						问题描述 一个购物系统的数据库订单表该如何设计 订单中要显示购买者信息,购买者配送地址,商品名,价格,数量其中商品可能是多个. 解决方案 这个最好是设计2个表,,一个订单,,一个订单详情,,订单中是用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmgyRz.html" rel="bookmark" class="title">Weex项目与阿里移动技术开源</a>
					<div>
						本文PPT来自淘宝移动平台天施于10月14日在2016年杭州云栖大会上发表的演讲,分享主题为&lt;Weex项目&amp;阿里移动技术开源方向&gt;. Weex能够完美兼顾性能与动态性,让移动开发者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKoob.html" rel="bookmark" class="title">格式化-java中用DecimalFormat怎样把一个数字变成货币样式</a>
					<div>
						问题描述 java中用DecimalFormat怎样把一个数字变成货币样式 DecimalFormat df = new DecimalFormat(); df.setGroupingSize(2); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNKZmz.html" rel="bookmark" class="title">linux编程-关于Linux的三个编程题，想了半天毫无头绪，感觉Linux编程好复杂。求大家帮助帮助我，谢谢。</a>
					<div>
						问题描述 关于Linux的三个编程题,想了半天毫无头绪,感觉Linux编程好复杂.求大家帮助帮助我,谢谢. 1:子进程每隔一秒向文件写入信息,父进程每隔三秒读出子进程所写的信息并输出到屏幕. 2:模拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRYNGp.html" rel="bookmark" class="title">厦门的网站发帖都要用真名？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 厦门网站发帖都要用真名? 取消匿名发帖,有官员透露可能前台实名 厦门正在酝酿一项地方法规,要求厦门的网站取消匿名发帖,论坛贴文先审后发.昨天,厦门市工商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94R54b.html" rel="bookmark" class="title">纳斯达克因技术故障暂停交易</a>
					<div>
						新浪科技讯 北京时间8月23日凌晨消息,据&lt;华尔街日报&gt;报道,美国证券交易所官员周四发表声明称,由于出现技术故障, 纳斯达克(3638.71,38.92,1.08%)证券交易所已暂停所有在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkevZob.html" rel="bookmark" class="title">android AlarmManager讲解</a>
					<div>
						Android系统闹钟定时功能框架,总体来说就是用数据库存储定时数据,有一个状态管理器来统一管理这些定时状态的触发和更新.在Andriod系统中实现定时功能,最终还是要用到系统提供的AlarmMana ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmBQ6b.html" rel="bookmark" class="title">推荐一个自己用的封装好的javascript插件&lowbar;javascript技巧</a>
					<div>
						具体内容请看注释,这里就不多BB了, 奉上代码: /// &lt;reference path=&quot;vendor/jquery-1.4.1-vsdoc.js&quot; /&gt; ///检测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRZrmb.html" rel="bookmark" class="title">新人求助，类的封装问题，不知怎么下手，求解惑</a>
					<div>
						问题描述 新人求助,类的封装问题,不知怎么下手,求解惑 写一个教师类,属性有 教龄,姓名,性别,年龄(封装成属性),有一个打印信息的方法,有一个有参数的构造函数 (1)要求从键盘输入-&gt;在测试类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZGGRz.html" rel="bookmark" class="title">《Redis入门指南（第2版）》一3&period;6　有序集合类型</a>
					<div>
						3.6 有序集合类型 了解了集合类型后,小白终于被Redis的强大功能所折服了,但他却不愿止步于此.这不,小白又想给博客加上按照文章访问量排序的功能: 老师您好,之前您已经介绍过了如何使用列表类型键存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq434b.html" rel="bookmark" class="title">望数据库高手帮助啊！关于子栏目查询的数据库设计</a>
					<div>
						问题描述 现在有一个栏目表(6万条)和软件表(300万条).系统要求传入一个栏目id,在软件表中查出所有该栏目和子栏目的软件信息.现在采用方式是在软件表中有个一字段pathlist(varchar,已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEL56z.html" rel="bookmark" class="title">Python THREADING模块中的JOIN&lpar;&rpar;方法深入理解&lowbar;python</a>
					<div>
						看了oschina上的两个代码,受益匪浅.其中对join()方法不理解,看python官网文档的介绍: join([timeout]):等待直到进程结束.这将阻塞正在调用的线程,直到被调用join() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLDv3M.html" rel="bookmark" class="title">使用Post提交时须将空格转换成加号的解释&lowbar;javascript技巧</a>
					<div>
						jQuery的serialize模块中有个r20正则 复制代码 代码如下: var r20 = /%20/g, jQuery.param方法中会将所有的&quot;%20&quot;转成&quot;+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvwENM.html" rel="bookmark" class="title">app如果kill掉 ，再次启动的时候，如果在这之前用户有离线消息，会优先调用哪个方法</a>
					<div>
						问题描述 解决方案 http://docs.easemob.com/doku.p ... at%23接收离线消息.离线消息回调.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEk0Oz.html" rel="bookmark" class="title">MacBook系列或迎重要升级 采用英特尔新款CPU</a>
					<div>
						凯基证券分析师郭明琪日前表示,苹果MacBook系列的持续增长--特别是在企业市场--将在今年成为苹果业绩表现中的一大亮点.在今年上半年,苹果预计还将为该系列带来一次新升级. 郭明琪认为,MacBoo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRRejz.html" rel="bookmark" class="title">2017第二届中国首席技术官大会将于9月22日在杭州召开</a>
					<div>
						   二十世纪90年代,因计算机和软件行业的高速发展,很多IT公司把首席技术官(Chief Technology Officer, CTO)的名称给予管理计算机系统和软件研发的负责人.在不同行业领域的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdJAGp.html" rel="bookmark" class="title">实现Notes File-Export功能&comma;已提供基本解决方案&comma;望大家讨论&excl;</a>
					<div>
						问题描述 在IBMLotusNotes可使用File-Export导出NotesDocument为msrtf,如下图:我尝试使用LotusC++api实现这一功能,部分代码如下:try{session ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
